﻿using esoft.Class;
using esoft.Entities;
using System;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace esoft.Pages
{
    /// <summary>
    /// Логика взаимодействия для ServicesPage.xaml
    /// </summary>
    public partial class ServicesPage : Page
    {

        ActualContext actualContext = new ActualContext(); //контекст различных таблиц
        TaskFill tasks = new TaskFill(); //полученный контекст формы
        bool newTask;

        public ServicesPage()
        {
            InitializeComponent();
            DGridTask.ItemsSource = Class.TaskFill.TaskFills();


            List<User> users = actualContext.Users;
            for (int i = 0; i < users.Count; i++)
            {
                foreach (var ex in actualContext.Executor)
                {
                    if (users[i].ID != ex.ID)
                    {
                        users.Remove(users[i]);
                        break;
                    }
                }
            }
            ComboExecutor.ItemsSource = UserInFIO.GroupUser(users);
            ComboManager.ItemsSource = esoftEntities.GetContext().Manager.ToList();
        }

        private void BtnEdit_Click(object sender, RoutedEventArgs e)
        {

        }

        private void BtnAddTask_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new AddEditServicePage());
        }

        private void BtnDeleteTask_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
